Cache-specific Finding Helpers(3)

NAME
Cache-specific Finding Helpers -

  Functions
static __hwloc_inline hwloc_obj_t __hwloc_attribute_pure hwloc_get_cache_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set)
Get the first cache covering a cpuset set.
static __hwloc_inline hwloc_obj_t __hwloc_attribute_pure hwloc_get_shared_cache_covering_obj (hwloc_topology_t topology __hwloc_attribute_unused, hwloc_obj_t obj)
Get the first cache shared between an object and somebody else.

Function Documentation

  static __hwloc_inline hwloc_obj_t __hwloc_attribute_pure hwloc_get_cache_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set) [static]

Get the first cache covering a cpuset set. Returns:
    NULL if no cache matches

  static __hwloc_inline hwloc_obj_t __hwloc_attribute_pure hwloc_get_shared_cache_covering_obj (hwloc_topology_t topology __hwloc_attribute_unused, hwloc_obj_t obj) [static]

Get the first cache shared between an object and somebody else. Returns:
    NULL if no cache matches

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.